/**
 *	@file	AknSliderSettingItemTextLabel.h
 *	@author	ENDO
 */

#ifndef AKNSLIDERSETTINGITEMTEXTLABEL_H
#define AKNSLIDERSETTINGITEMTEXTLABEL_H

#include <aknsettingitemlist.h>	// for CAknSliderSettingItem.

class CAknSliderSettingItemTextLabel : public CAknSliderSettingItem
	{
public:
	CAknSliderSettingItemTextLabel(TInt aIdentifier, TInt& aExternalSliderValue);
	virtual ~CAknSliderSettingItemTextLabel();

public:
	inline void EnableTextLabel(TBool aEnable);
	inline void EnableSlider(TBool aEnable);
	void SetTextFormatL(TInt aResourceId);
	void SetTextFormatL(const TDesC& aTextFormat);

public:
	// from CAknSliderSettingItem.
	const TDesC& SettingTextL(void);

private:
	// from CAknSliderSettingItem.
	CFbsBitmap* CreateBitmapL(void);

private:
	HBufC* iTextFormat;
	TBuf<256> iSettingText;
	TBool iEnableTextLabel;
	TBool iEnableSlider;
	};

void CAknSliderSettingItemTextLabel::EnableTextLabel(TBool aEnable)
	{
	iEnableTextLabel = aEnable;
	}

void CAknSliderSettingItemTextLabel::EnableSlider(TBool aEnable)
	{
	iEnableSlider = aEnable;
	}

#endif // AKNSLIDERSETTINGITEMTEXTLABEL_H
