/**
 *	@file	ScreenCaptor.h
 *	@author	ENDO
 */

#ifndef SCREENCAPTOR_H
#define SCREENCAPTOR_H

class CWsScreenDevice;
class CFbsBitmap;
class CScreenCaptor : public CBase
{
public:
	static CScreenCaptor* NewL(CWsScreenDevice& aScreenDevice);
	static CScreenCaptor* NewLC(CWsScreenDevice& aScreenDevice);
	virtual ~CScreenCaptor();

	void Capture(void);
	const TDesC8& CapturedData(void);
	const CFbsBitmap* CapturedBitmap(void);

private:
	CScreenCaptor(CWsScreenDevice& aScreenDevice);
	void ConstructL(void);

private:
	CWsScreenDevice& iScreenDevice;
	const TSize iSize;
	const TDisplayMode iDisplayMode;

	CFbsBitmap* iBitmap;
};

#endif	// SCREENCAPTOR_H
