/**
 *	@file	SuperimposedText.h
 *	@author	ENDO
 */

#ifndef SUPERIMPOSEDTEXT_H
#define SUPERIMPOSEDTEXT_H

#include <w32std.h>		// for RWsSprite.

class CCoeEnv;
class CSuperimposedText : public CBase
	{
public:
	static CSuperimposedText* NewL(CCoeEnv& aEnv, const TDesC& aInitialText = KNullDesC);
	virtual ~CSuperimposedText();

private:
	CSuperimposedText(CCoeEnv& aEnv, const TDesC& aInitialText = KNullDesC);
	void ConstructL(CCoeEnv& aEnv, const TDesC& aInitialText);

public:
	void SetTextL(const TDesC& aText);
	void SetOffset(const TPoint& aPoint);
	void Show(TTimeIntervalMicroSeconds32 aShowTime = KMaxTInt32);
	void Hide(void);

private:
	void ResetL(void);

private:
	const CCoeEnv& iEnv;
	RWsSession& iWs;
	const CFont& iFont;

	RWsSprite iSprite;

	TSpriteMember iSpriteMember;
	TSpriteMember iSpriteMemberDummy;
	HBufC* iText;
	TDisplayMode iSpriteColorMode;

	CFbsBitmap* iSpriteBitmap;
	CFbsBitmapDevice* iSpriteBitmapDevice;
	CFbsBitGc* iSpriteBitmapGc;

	CFbsBitmap* iMaskBitmap;
	CFbsBitmapDevice* iMaskBitmapDevice;
	CFbsBitGc* iMaskBitmapGc;
	};

#endif	// SUPERIMPOSEDTEXT_H
