/**
 *	@file	SystemEventWatcher.h
 *	@author	ENDO
 */

#ifndef SYSTEMEVENTWATCHER_H
#define SYSTEMEVENTWATCHER_H

#include <e32base.h>		// for CActive.
#include <e32property.h>	// for RProperty.

class MSystemEventObserver
	{
public:
	virtual void NotifySystemEvent(TUint aKind, TInt aValue) = 0;
	};

class CSystemEventWatcher : public CActive
	{
public:
	static CSystemEventWatcher* NewL(MSystemEventObserver& aObserver);
	virtual ~CSystemEventWatcher();

private:
	CSystemEventWatcher(MSystemEventObserver& aObserver);
	void ConstructL(void);

public:
	void StartL(TUint aKind);

private:
	// from CActive.
	void RunL(void);
	void DoCancel(void);

private:
	MSystemEventObserver& iObserver;
	RProperty iProperty;
	TUint iKind;
	};

#endif	// SYSTEMEVENTWATCHER_H
