/**
 *	@file	AknSliderSettingItemTextLabel.cpp
 *	@author	ENDO
 */

#include <e32base.h>

#include <aknsettingitemlist.h>	// for CAknSliderSettingItem.

#include "AknSliderSettingItemTextLabel.h"

CAknSliderSettingItemTextLabel::CAknSliderSettingItemTextLabel(TInt aIdentifier, TInt& aExternalSliderValue) :
	CAknSliderSettingItem(aIdentifier, aExternalSliderValue),
	iEnableTextLabel(ETrue),
	iEnableSlider(EFalse)
	{
	}

CAknSliderSettingItemTextLabel::~CAknSliderSettingItemTextLabel()
	{
	delete iTextFormat;
	}

void CAknSliderSettingItemTextLabel::SetTextFormatL(TInt aResourceId)
	{
	HBufC* newTextFormat = CCoeEnv::Static()->AllocReadResourceL(aResourceId);
	delete iTextFormat;
	iTextFormat = newTextFormat;
	}

void CAknSliderSettingItemTextLabel::SetTextFormatL(const TDesC& aTextFormat)
	{
	HBufC* newTextFormat = aTextFormat.AllocL();
	delete iTextFormat;
	iTextFormat = newTextFormat;
	}

const TDesC& CAknSliderSettingItemTextLabel::SettingTextL(void)
	{
	if (!iEnableTextLabel)
		{
		_LIT(KWhiteSpace, " ");
		return KWhiteSpace;
		}

	if (iTextFormat != NULL)
		{
		iSettingText.Format(*iTextFormat, InternalSliderValue());
		}
	else
		{
		_LIT(KDefaultFormat, "%d");
		iSettingText.Format(KDefaultFormat, InternalSliderValue());
		}
	return iSettingText;
	}

CFbsBitmap* CAknSliderSettingItemTextLabel::CreateBitmapL(void)
	{
	return (iEnableSlider) ? CAknSliderSettingItem::CreateBitmapL() : NULL;
	}
